Bug 68457 - Inconsistent placement of Ok and Cancel buttons
Inconsistent placement of Ok and Cancel buttons
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-07-10 07:32 EDT by Mattias Dahlberg
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-15 14:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mattias Dahlberg 2002-07-10 07:32:59 EDT
Description of problem:
This does not only concern Anaconda, but as Bugzilla wants you to pick a 
package I take Anaconda as an illustration. When installing Red Hat you get 
several "Ok & Cancel dialogs". What's frustrating is that sometimes "Cancel" is 
on the right and "Ok" is on the left and sometimes "Cancel" is on the left 
and "Ok" on the right. I understand that Red Hat can't rule over applications 
made by other people, but please try to keep an consistent dialog structure in 
your own applications.

This can seem like a minor problem, but of all the bugs that I've reported so 
far for Limbo this is probably the most annoying. :)
Comment 1 Nathan G. Grennan 2002-07-10 08:33:56 EDT
At least directly related to this is Gnome2 is cancel/ok. Gnome1 applications
which are still in the majority are ok/canel. Then there is Sawfish2, which
should be a Gnome2 application, but at least some of the time still uses
ok/cancel. I think this is one of Gnome2's biggest mistakes, no matter what they
usablity study said.
Comment 2 Michael Fulbright 2002-07-10 14:20:16 EDT
For anaconda are you talking about the text mode or graphical mode installer?
Comment 3 Mattias Dahlberg 2002-07-10 14:23:24 EDT
The graphical installer.
Comment 4 Michael Fulbright 2002-08-14 18:04:19 EDT
Do you have some specific examples of screens that show this problem?
Comment 5 Mattias Dahlberg 2002-08-15 14:25:00 EDT
You can close this bug. The problem isn't Anaconda. The problem is, as "chaos" 
already mentioned, that the GNOME environment in Limbo is a mix of Gtk1 and 
Gtk2, which unfortunately means inconsistent dialogs.

Note You need to log in before you can comment on or make changes to this bug.